読者です 読者をやめる 読者になる 読者になる

テラシュールブログ

旧テラシュールウェアブログUnity記事。主にUnityのTipsやAR・VR、ニコニコ動画についてのメモを残します。

UnityでAndroid向けにビルドした際に「このWebコンテンツを表示するには、Java Runtime Environmentwをインストールする必要があります」と表示された時の対処法

トラブルシューティング

MacYosemiteにバージョンアップした所、Androidのビルドが通らなくなりました。

これだからMacのバージョンアップは楽しいね♪糞が…

f:id:tsubaki_t1:20141211223941p:plain

ビルドする所までは通るのですが、最後の最後でこのメッセージが表示されビルドが通りません。

コンソールには「Error building Player: UnityException: Unable to find suitable jdk installation. Please make sure you have a suitable jdk installation. Android development requires at least JDK 6 (1.6). The latest JDK can be obtained from the Oracle 」と表示されます。

f:id:tsubaki_t1:20141211231402p:plain

対処法

これの対処法ですが、Java for OS X 2014-001をインストールすると治ります。

f:id:tsubaki_t1:20141211225405p:plain

Java for OS X 2014-001

 

参考

os x yosmite shows this message at startup: To ... | Apple Support Communities